package net.northking.cctp.testbug.dto;

import io.swagger.annotations.ApiModel;

/**
 * @author: puchao.ma
 * @date: 2021/12/21 10:19
 */
@ApiModel("缺陷遗留及严重等级分布")
public class BugLegacyGradeDto {

    private String moduleId;

    private Integer gradeA;

    private Integer gradeB;

    private Integer gradeC;

    private Integer gradeD;

    private Integer gradeE;

    private String projectId;

    private String tenantId;

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    public Integer getGradeA() {
        return gradeA;
    }

    public void setGradeA(Integer gradeA) {
        this.gradeA = gradeA;
    }

    public Integer getGradeB() {
        return gradeB;
    }

    public void setGradeB(Integer gradeB) {
        this.gradeB = gradeB;
    }

    public Integer getGradeC() {
        return gradeC;
    }

    public void setGradeC(Integer gradeC) {
        this.gradeC = gradeC;
    }

    public Integer getGradeD() {
        return gradeD;
    }

    public void setGradeD(Integer gradeD) {
        this.gradeD = gradeD;
    }

    public Integer getGradeE() {
        return gradeE;
    }

    public void setGradeE(Integer gradeE) {
        this.gradeE = gradeE;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    @Override
    public String toString() {
        return "BugLegacyGradeDto{" +
                "moduleId='" + moduleId + '\'' +
                ", gradeA=" + gradeA +
                ", gradeB=" + gradeB +
                ", gradeC=" + gradeC +
                ", gradeD=" + gradeD +
                ", gradeE=" + gradeE +
                ", projectId='" + projectId + '\'' +
                ", tenantId='" + tenantId + '\'' +
                '}';
    }
}
